> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawapay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check deposit status

Get deposit status using the `depositId` from your initial deposit request. A list containing at most one `Deposit` is returned.

This operation can be used to confirm the current status of a deposit.


## OpenAPI

````yaml openapi_v1 get /deposits/{depositId}
openapi: 3.0.0
info:
  title: PawaPay Merchant API v1
  description: Please find complete documentation from https://docs.pawapay.io/.
  version: v1
  x-logo:
    url: >-
      https://global-uploads.webflow.com/62824591015aa314fd308df1/6411b26596e3de3f52551c00_Logopawapay-p-500.png
    href: https://docs.pawapay.io/
    altText: PawaPay logo
servers:
  - url: https://api.sandbox.pawapay.io
    description: PawaPay Merchant API sandbox
  - url: https://api.pawapay.io
    description: PawaPay Merchant API production
security:
  - bearerAuth: []
tags:
  - name: payouts
    x-displayName: Payouts
  - name: deposits
    x-displayName: Deposits
  - name: refunds
    x-displayName: Refunds
  - name: payment-page
    x-displayName: Payment Page
  - name: toolkit
    x-displayName: Toolkit
  - name: wallet-balances
    x-displayName: Wallet balances
paths:
  /deposits/{depositId}:
    get:
      tags:
        - deposits
      summary: Check deposit status
      operationId: getDeposit
      parameters:
        - name: depositId
          in: path
          description: The `depositId` of the deposit transaction.
          required: true
          style: simple
          explode: false
          schema:
            minLength: 36
            maxLength: 36
            type: string
            format: uuid
      responses:
        '200':
          description: Request has been processed by PawaPay
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositSearchResult'
              examples:
                COMPLETED:
                  value:
                    - depositId: 8917c345-4791-4285-a416-62f24b6982db
                      status: COMPLETED
                      requestedAmount: '123.00'
                      depositedAmount: '123.00'
                      currency: ZMW
                      country: ZMB
                      payer:
                        type: MSISDN
                        address:
                          value: '260763456789'
                      correspondent: MTN_MOMO_ZMB
                      statementDescription: To ACME company
                      customerTimestamp: '2020-10-19T08:17:00Z'
                      created: '2020-10-19T08:17:01Z'
                      respondedByPayer: '2020-10-19T08:17:02Z'
                      correspondentIds:
                        SOME_CORRESPONDENT_ID: '12356789'
                      metadata:
                        orderId: ORD-123456789
                        customerId: customer@email.com
                COMPLETED (Discrepancy):
                  value:
                    - depositId: 8917c345-4791-4285-a416-62f24b6982db
                      status: COMPLETED
                      requestedAmount: '200.00'
                      depositedAmount: '1.00'
                      currency: ZMW
                      country: ZMB
                      payer:
                        type: MSISDN
                        address:
                          value: '260763456789'
                      correspondent: MTN_MOMO_ZMB
                      statementDescription: To ACME company
                      customerTimestamp: '2020-10-19T08:17:00Z'
                      created: '2020-10-19T08:17:01Z'
                      respondedByPayer: '2020-10-19T08:17:02Z'
                      correspondentIds:
                        SOME_CORRESPONDENT_ID: '12356789'
                      suspiciousActivityReport:
                        - activityType: AMOUNT_DISCREPANCY
                          comment: >-
                            There is a discrepancy between requested and actual
                            deposit amount has been detected.
                      metadata:
                        orderId: ORD-123456789
                        customerId: customer@email.com
                ACCEPTED:
                  value:
                    - depositId: 8917c345-4791-4285-a416-62f24b6982db
                      status: ACCEPTED
                      requestedAmount: '123.45'
                      currency: ZMW
                      country: ZMB
                      payer:
                        type: MSISDN
                        address:
                          value: '260763456789'
                      correspondent: MTN_MOMO_ZMB
                      statementDescription: To ACME company
                      customerTimestamp: '2020-10-19T08:17:00Z'
                      created: '2020-10-19T08:17:01Z'
                      metadata:
                        orderId: ORD-123456789
                        customerId: customer@email.com
                SUBMITTED:
                  value:
                    - depositId: 8917c345-4791-4285-a416-62f24b6982db
                      status: SUBMITTED
                      requestedAmount: '123.45'
                      currency: ZMW
                      country: ZMB
                      payer:
                        type: MSISDN
                        address:
                          value: '260763456789'
                      correspondent: MTN_MOMO_ZMB
                      statementDescription: To ACME company
                      customerTimestamp: '2020-10-19T08:17:00Z'
                      created: '2020-10-19T08:17:01Z'
                      metadata:
                        orderId: ORD-123456789
                        customerId: customer@email.com
                FAILED:
                  value:
                    - depositId: 8917c345-4791-4285-a416-62f24b6982db
                      status: FAILED
                      requestedAmount: '123.45'
                      currency: ZMW
                      country: ZMB
                      payer:
                        type: MSISDN
                        address:
                          value: '260961234567'
                      correspondent: MTN_MOMO_ZMB
                      statementDescription: From ACME company
                      customerTimestamp: '2020-10-19T08:17:00Z'
                      created: '2020-10-19T08:17:01Z'
                      failureReason:
                        failureCode: PAYMENT_NOT_APPROVED
                        failureMessage: Payment not approved
                      metadata:
                        orderId: ORD-123456789
                        customerId: customer@email.com
                Deposit Not Found:
                  value: []
        '400':
          description: >-
            Request was rejected due to incompatibility with PawaPay API
            specification
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Mandatory Field Missing:
                  value:
                    errorId: 4f0d5e13-7e88-4cc6-827c-8c0640dc2cd3
                    errorCode: 1
                    errorMessage: Invalid input
        '401':
          description: Authentication Failure. Please check your authentication token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Authentication Failure:
                  value:
                    errorId: cad1529e-040b-4c9d-a21d-2ba3056ff750
                    errorCode: 2
                    errorMessage: Authentication error
        '403':
          description: Authorization Failure. Please check your authentication token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Authorization Failure:
                  value:
                    errorId: daa495f0-541d-4192-b636-a8877b25a510
                    errorCode: 3
                    errorMessage: Authorization error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                System Error:
                  value:
                    errorId: d428a89e-fa8b-42b8-ba20-68be20d50af1
                    errorCode: 0
                    errorMessage: Internal error
components:
  schemas:
    DepositSearchResult:
      type: array
      items:
        $ref: '#/components/schemas/Deposit'
    ErrorResponse:
      required:
        - errorId
        - errorCode
        - errorMessage
      type: object
      properties:
        errorId:
          maxLength: 36
          type: string
          description: A unique error ID in the PawaPay platform.
          example: 63743264-7292-11ea-bc55-0242ac130003
        errorCode:
          type: integer
          description: PawaPay internal error code.
          example: 1
        errorMessage:
          type: string
          description: Error message.
          example: Internal error
    Deposit:
      required:
        - depositId
        - status
        - requestedAmount
        - currency
        - country
        - correspondent
        - payer
        - customerTimestamp
        - created
      type: object
      properties:
        depositId:
          minLength: 36
          maxLength: 36
          type: string
          format: uuid
          description: >-
            A UUIDv4 based ID specified by you, that uniquely identifies the
            deposit.
          example: f4401bd2-1568-4140-bf2d-eb77d2b2b639
        status:
          $ref: '#/components/schemas/DepositStatus'
        requestedAmount:
          $ref: '#/components/schemas/Amount'
        currency:
          $ref: '#/components/schemas/Currency'
        country:
          $ref: '#/components/schemas/Country'
        correspondent:
          $ref: '#/components/schemas/Correspondent'
        payer:
          $ref: '#/components/schemas/FinancialAddress'
        customerTimestamp:
          type: string
          description: >-
            The timestamp for when you initiated the deposit process. Format
            defined by 'date-time' in RFC3339 section 5.6 from
            [IETF](https://tools.ietf.org/html/rfc3339#section-5.6)
          format: date-time
          example: '2020-02-21T17:32:28Z'
        statementDescription:
          minLength: 4
          maxLength: 22
          type: string
          pattern: ^[a-zA-Z0-9 ]+$
          description: >
            Short description for the transaction. 

            Depending on the specific MMO performing the transaction this
            message may be visible to the customer in the SMS receipt or within
            their transaction history.


            Must be between **4 and 22 alphanumeric characters**.
          example: Note of 4 to 22 chars
        created:
          type: string
          description: >-
            The timestamp of when the deposit was created in the PawaPay
            platform. Format defined by 'date-time' in RFC3339 section 5.6 from
            [IETF](https://tools.ietf.org/html/rfc3339#section-5.6)
          format: date-time
          example: '2020-02-21T17:32:29Z'
        depositedAmount:
          $ref: '#/components/schemas/Amount'
        respondedByPayer:
          type: string
          description: >-
            When the MMO responded to this deposit request. Format defined by
            'date-time' in RFC3339 section 5.6 from
            [IETF](https://tools.ietf.org/html/rfc3339#section-5.6)
          format: date-time
          example: '2020-02-21T17:32:30Z'
        correspondentIds:
          type: object
          additionalProperties:
            type: string
          description: The unique ID for this financial transaction assigned by the MMO.
          example:
            MTN_INIT: ABC123
            MTN_FINAL: DEF456
        suspiciousActivityReport:
          $ref: '#/components/schemas/SuspiciousDepositTransactionReport'
        failureReason:
          $ref: '#/components/schemas/DepositFailureReason'
        metadata:
          $ref: '#/components/schemas/TransactionMetadataResponse'
    DepositStatus:
      type: string
      description: >
        Possible deposit statuses: 

        * `ACCEPTED` - The deposit request has been **accepted** by PawaPay for
        processing. 

        * `SUBMITTED` - The deposit request has been submitted to the MMO and is
        being processed. 

        * `COMPLETED` - The deposit request has been successfully processed.
        This is a **final state.**

        * `FAILED` - The deposit request has been processed, but failed. This is
        a **final state.**
      enum:
        - ACCEPTED
        - SUBMITTED
        - COMPLETED
        - FAILED
    Amount:
      minLength: 1
      maxLength: 23
      type: string
      pattern: ^([0]|([1-9][0-9]{0,17}))([.][0-9]{0,3}[1-9])?$
      description: >
        The amount to be collected (deposit) or disbursed (payout or refund). 


        Amount must follow below requirements or the request will be
        **rejected**:

        * Between zero and two decimal places can be supplied, depending on what
        the specific MMO supports. Learn about all [MMO supported decimal
        places](/using_the_api#correspondents).

        * The minimum and maximum amount depends on the limits of the specific
        MMO. You can find them from the [Active
        Configuration](/v1/api-reference/toolkit/active-configuration) endpoint.

        * Leading zeroes are not permitted except where the value is less than
        1. For any value less than one, one and only one leading zero must be
        supplied.

        * Trailing zeroes are permitted.


        Valid examples:

        `5`, `5.0`, `5.00`, `5.5`, `5.55`, `5555555`, `0.5`


        Not valid examples:

        `5.`, `5.555`, `5555555555555555555`, `.5`, `-5.5`, `00.5`, `00.00`,
        `00001.32`
      example: '15'
    Currency:
      type: string
      description: >
        The currency in which the `amount` is specified.


        Format must be the ISO 4217 three character currency code in upper case.
        Read more from
        [Wikipedia](https://en.wikipedia.org/wiki/ISO_4217#Active_codes).


        You can find all the supported currencies that the specific
        `correspondent` supports [from here](/using_the_api#correspondents).


        The [active
        configuration](/v1/api-reference/toolkit/active-configuration) endpoint
        provides the list of correspondents configured for your account together
        with the currencies.
      example: ZMW
    Country:
      type: string
      description: >
        The country in which the MMO operates. 


        Format is ISO 3166-1 alpha-3, three character country code in upper
        case. Read more from
        [Wikipedia](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3#Officially_assigned_code_elements).
      example: ZMB
    Correspondent:
      type: string
      description: >
        The correspondent code refers to the specific MMO that the specified
        phone number (MSISDN) has an active mobile money wallet with. 


        You can find all the supported correspondents [listed
        here](/using_the_api#correspondents). 


        The [active
        configuration](/v1/api-reference/toolkit/active-configuration) endpoint
        provides the list of correspondents configured for your account.


        You can use the [predict
        correspondent](/v1/api-reference/toolkit/predict-correspondent) enpoint
        to predict the correct correspondent to use based on the phone number
        (MSISDN).
      example: MTN_MOMO_ZMB
    FinancialAddress:
      required:
        - address
        - type
      type: object
      properties:
        type:
          type: string
          description: >-
            The type of financial address. At the moment, only **MSISDN** is
            supported as the financial address. 
          example: MSISDN
          enum:
            - MSISDN
        address:
          $ref: '#/components/schemas/AddressValue'
      description: >-
        The phone number (MSISDN) of the recipient or payer must be specified as
        the `value` of the `address`.
    SuspiciousDepositTransactionReport:
      type: array
      items:
        $ref: '#/components/schemas/SuspiciousDepositTransactionReportEntry'
    DepositFailureReason:
      required:
        - failureCode
      type: object
      properties:
        failureCode:
          type: string
          description: >
            Possible deposit failure codes: 

            * `PAYER_NOT_FOUND` - The phone number specified as the Payer does
            not belong to the MMO specified as the correspondent. 

            * `PAYMENT_NOT_APPROVED` - Payer did not approve the payment. 

            * `PAYER_LIMIT_REACHED` - Payer has reached a transaction limit of
            their mobile money wallet. 

            * `INSUFFICIENT_BALANCE` - Payer does not have enough funds. 

            * `TRANSACTION_ALREADY_IN_PROCESS` - Payer already has an
            unfinalized transaction being processed by the MMO. 

            * `OTHER_ERROR` - Any other error. Please refer to `failureMessage`.
          example: OTHER_ERROR
          enum:
            - PAYER_NOT_FOUND
            - PAYMENT_NOT_APPROVED
            - PAYER_LIMIT_REACHED
            - INSUFFICIENT_BALANCE
            - TRANSACTION_ALREADY_IN_PROCESS
            - OTHER_ERROR
        failureMessage:
          type: string
          description: Additional optional failure message
          example: Payers address is blocked
    TransactionMetadataResponse:
      description: >
        The metadata that was provided in the original initation request in a
        JSON object format.
      type: object
      properties:
        value of fieldName:
          type: string
          description: >-
            Each passed in metadata field will be a property of the metadata
            JSON object. The key will be the 'fieldName' and the value will be
            'fieldValue'.
      example:
        orderId: ORD-123456789
        customerId: customer@email.com
    AddressValue:
      required:
        - value
      type: object
      properties:
        value:
          $ref: '#/components/schemas/MsisdnValue'
    SuspiciousDepositTransactionReportEntry:
      required:
        - activityType
        - comment
      type: object
      properties:
        activityType:
          type: string
          description: >-
            Represents a suspicious activity category.


            * `AMOUNT_DISCREPANCY` - Indicates that there is a discrepancy
            between requested and actual deposit amount.
          example: AMOUNT_DISCREPANCY
          enum:
            - AMOUNT_DISCREPANCY
        comment:
          type: string
          example: There is a discrepancy between requested and actual deposit amount.
    MsisdnValue:
      type: string
      description: >
        The phone number (MSISDN) of the payer or recipient.

        The format is described in
        [Wikipedia](https://en.wikipedia.org/wiki/MSISDN). 


        MSISDN validation has following rules:
         * Only digits without whitespaces or any other separators or prefixes like '+'.
         * Should not start with zero.
         * Country code is mandatory.
         * Should not exceed or be less than the valid length of specified country.
         
         Valid examples for Zambia:
         `260763456789`
         
         Not valid examples for Zambia:
         `+260763456789`, `260 763 456789`, `260-7634-56789`, `0260763456789`, `2607634567`, `260763456789543`, `999558708954`, `37255870895`
      example: '260763456789'
  securitySchemes:
    bearerAuth:
      type: http
      description: See [Authentication](/using_the_api#authentication).
      scheme: bearer
      bearerFormat: JWT

````